Page MenuHomePhabricator

Implement support for Thanks log entries in Pywikibot
Closed, ResolvedPublic

Description

Pywikibot should support Thanks log entries, including extracting information from them such as thanker and recipient. This will remove the warning emitted by the existing code when pulling Thanks log entries from the API. Thanks log entries will need to be integrated to the existing test module for log entries.

Event Timeline

Restricted Application added a subscriber: Zppix. · View Herald TranscriptMay 16 2016, 5:57 PM

Note, it is not public which revision you were thanked for.

darthbhyrava updated the task description. (Show Details)May 27 2016, 5:33 PM
happy5214 updated the task description. (Show Details)
happy5214 added a subscriber: happy5214.
Mvolz added a subscriber: Mvolz.May 29 2017, 9:25 AM

Removed tag as we're reserving Google-Summer-of-Code (2017) tag for proposals and organizational tasks this year.

Change 359366 had a related patch set uploaded (by Happy5214; owner: Happy5214):
[pywikibot/core@master] Add log entry code for thanks log

https://gerrit.wikimedia.org/r/359366

happy5214 renamed this task from Implement pywikibot feature for getting lists of 'thanks' to Implement support for Thanks log entries in Pywikibot.Jun 23 2017, 12:49 AM

Change 359366 merged by jenkins-bot:
[pywikibot/core@master] Add log entry code for thanks log

https://gerrit.wikimedia.org/r/359366

happy5214 closed this task as Resolved.Jul 7 2017, 12:08 AM

I'm pretty sure this is done.